> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ai.cc/llms.txt
> Use this file to discover all available pages before exploring further.

# Native Gemini Format

> Return a list of available models in Gemini API format.



## OpenAPI

````yaml api-reference/openapi.json get /v1beta/models
openapi: 3.0.1
info:
  title: AI model interface
  description: ''
  version: 1.0.0
servers:
  - url: https://api.ai.cc
security:
  - BearerAuth: []
tags:
  - name: Get Model List
  - name: Text completion
  - name: Translator
  - name: OpenAI Chat
  - name: OpenAI Response
  - name: Claude Messages
  - name: Gemini Generate Content
  - name: Video Task
  - name: Sora Video Task
paths:
  /v1beta/models:
    get:
      tags:
        - Get Model List
      summary: Gemini format acquisition
      description: Return a list of available models in Gemini API format.
      operationId: listModelsGemini
      parameters: []
      responses:
        '200':
          description: Successfully retrieved the model list
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GeminiModelsResponse'
          headers: {}
      deprecated: false
      security:
        - BearerAuth: []
components:
  schemas:
    GeminiModelsResponse:
      type: object
      properties:
        models:
          type: array
          items:
            type: object
            properties:
              name:
                type: string
                example: models/gemini-pro
              version:
                type: string
              displayName:
                type: string
              description:
                type: string
              inputTokenLimit:
                type: integer
              outputTokenLimit:
                type: integer
              supportedGenerationMethods:
                type: array
                items:
                  type: string
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      description: |
        Authentication is done using Bearer Token. 
        Format: `Authorization: Bearer sk-xxxxxx`

````